#pragma once
#include <list>
#include <memory>
#include <ostream>
#include "Message.h"

namespace midi {

class MessageList : public std::list<std::shared_ptr<Message>>
{
    typedef std::list<std::shared_ptr<Message>> parent;

public:
    bool contains(const Message& message) const;
    const_iterator find(const Message& message) const;
    void print(std::ostream& stream) const;
};

} // namespace
