#include "BeatSequence.h"
#include <iostream>

using namespace midi;

int main()
{
    BeatSequence s(15);
    for(BeatSequence::BeatIndex b = 0; b < s.size(); b++) {
        s[b].push_back(std::make_shared<NoteOnMessage>(b, b * 10, 1));
        s[b].push_back(std::make_shared<NoteOffMessage>(b, b * 10, 2));
    }

    s.print(std::cout);

    s.reduceToNeighbour(3);
    s.print(std::cout);

    s.reduceErasingConflicts(2);
    s.print(std::cout);

    return 0;
}
