#include <iostream>
#include "Output.h"

using namespace std;
using namespace midi;

int main()
{
    Output out;
    out.openVirtualPort();

    cout << "press button to start... " << flush;
    cin.ignore();

    out.sendMessage(NoteOnMessage(3, 45, 127));

    cout << "press button to send... " << flush;
    cin.ignore();

    MessageList l;
    for(int i=10; i<120; i+=10) {
        std::shared_ptr<Message> msg = std::make_shared<NoteOnMessage>(1, i, 100);
        l.push_back(msg);
    }
    out.sendMessages(l);

    return 0;
}
